View Issue Details

IDProjectCategoryView StatusLast Update
0026595LazarusIDEpublic2014-10-07 00:39
ReporterMaxim GanetskyAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWin32OSWindowsOS VersionXP SP3 32-bit
Product Version1.3 (SVN)Product BuildLazarus 1.3 r46043 FPC 2.6.4 
Target Version1.4Fixed in Version1.4 
Summary0026595: [regression] "List index out of bounds" error in messages window
DescriptionSometimes I get "List index out of bounds" error in messages window.

It seems that it happens when right clicking on a message that is being replaced by another one on the same line, e.g. when Lazarus shows Lazarus directory cleaning status.
Steps To ReproduceStart Lazarus rebuilding with cleaning and start right clicking on appearing messages which are being replaced by another ones on the same line in messages window.

I tried to get meaningful backtrace:

Breakpoint 1, 0x0040ddc6 in fpc_raiseexception ()
(gdb) bt
#0 0x0040ddc6 in fpc_raiseexception ()
0000001 0x00481f88 in CLASSES_TFPLIST_$__ERROR$ANSISTRING$LONGINT ()
0000002 0x00481c3f in CLASSES_TFPLIST_$__RAISEINDEXERROR$LONGINT ()
0000003 0x00481c62 in CLASSES_TFPLIST_$__GET$LONGINT$$POINTER ()
0000004 0x00000004 in ?? ()
0000005 0x0000000a in ?? ()
0000006 0x006ee1ba in TMESSAGELINES__GETITEMS (INDEX=0,
    this=<error reading variable>) at ideexterntoolintf.pas:1576
0000007 0x00853011 in TMESSAGESFRAME__MSGCTRLPOPUPMENUPOPUP (SENDER=0x11335d98,
    this=<error reading variable>) at etmessageframe.pas:2742
0000008 0x005b9286 in TPOPUPMENU__DOPOPUP (SENDER=0x11335d98,
    this=<error reading variable>) at ./include/popupmenu.inc:37
0000009 0x005b949b in TPOPUPMENU__POPUP (X=322, Y=1128,
    this=<error reading variable>) at ./include/popupmenu.inc:74
0000010 0x0059224b in TCONTROL__WMCONTEXTMENU (MESSAGE=...,
    this=<error reading variable>) at ./include/control.inc:2246
0000011 0x0058ce03 in TWINCONTROL__WMCONTEXTMENU (MESSAGE=...,
    this=<error reading variable>) at ./include/wincontrol.inc:8197
0000012 0x0040d326 in SYSTEM_TOBJECT_$__DISPATCH$formal ()
0000013 0x0058cd70 in TWINCONTROL__CMEXIT (MESSAGE=...,
    this=<error reading variable>) at ./include/wincontrol.inc:8171
0000014 0x0058697e in TWINCONTROL__WNDPROC (MESSAGE=...,
    this=<error reading variable>) at ./include/wincontrol.inc:5331
0000015 0x00600e75 in DELIVERMESSAGE (TARGET=0x12c2d450, AMESSAGE=void)
    at lclmessageglue.pas:112
0000016 0x00540faa in WINDOWPROC (WINDOW=2032844, MSG=123, WPARAM=2032844,
    LPARAM=73924930) at ./win32/win32callback.inc:2482
0000017 0x7e368734 in USER32!GetDC () from H:\WINDOWS\system32\user32.dll
0000018 0x001f04cc in ?? ()
0000019 0x7e368816 in USER32!GetDC () from H:\WINDOWS\system32\user32.dll
0000020 0x0053eaf0 in DISPOSECOMBOEDITWINDOWINFO (COMBOBOX=0x0)
    at ./win32/win32callback.inc:216
0000021 0x7e37bf15 in UserLpkPSMTextOut () from H:\WINDOWS\system32\user32.dll
0000022 0x7e378dd9 in USER32!DefWindowProcW () from H:\WINDOWS\system32\user32.dll
0000023 0x001f04cc in ?? ()
0000024 0x7e378d77 in USER32!DefWindowProcW () from H:\WINDOWS\system32\user32.dll
0000025 0x001f04cc in ?? ()
0000026 0x0053e715 in CALLDEFAULTWINDOWPROC (WINDOW=2032844, MSG=517, WPARAM=0,
    LPARAM=5832789) at ./win32/win32callback.inc:85
0000027 0x00541173 in WINDOWPROC (WINDOW=2032844, MSG=517, WPARAM=0,
    LPARAM=5832789) at ./win32/win32callback.inc:2556
0000028 0x7e368734 in USER32!GetDC () from H:\WINDOWS\system32\user32.dll
0000029 0x001f04cc in ?? ()
0000030 0x7e368816 in USER32!GetDC () from H:\WINDOWS\system32\user32.dll
0000031 0x0053eaf0 in DISPOSECOMBOEDITWINDOWINFO (COMBOBOX=0x0)
    at ./win32/win32callback.inc:216
0000032 0x7e3689cd in USER32!GetWindowLongW () from H:\WINDOWS\system32\user32.dll
0000033 0x00000000 in ?? ()
(gdb)
Tagscrash, regression
Fixed in Revision46440
LazTarget1.4
Widgetset
Attached Files

Activities

Maxim Ganetsky

2014-10-07 00:39

developer   ~0078031

Works OK, thanks.

Issue History

Date Modified Username Field Change
2014-08-15 00:33 Maxim Ganetsky New Issue
2014-08-15 00:33 Maxim Ganetsky Status new => assigned
2014-08-15 00:33 Maxim Ganetsky Assigned To => Mattias Gaertner
2014-10-05 20:19 Maxim Ganetsky Target Version => 1.4
2014-10-05 20:19 Maxim Ganetsky Summary "List index out of bounds" error in messages window => [regression] "List index out of bounds" error in messages window
2014-10-05 20:19 Maxim Ganetsky LazTarget - => 1.4
2014-10-05 20:20 Maxim Ganetsky Tag Attached: crash
2014-10-05 20:20 Maxim Ganetsky Tag Attached: regression
2014-10-06 01:00 Mattias Gaertner Fixed in Revision => 46440
2014-10-06 01:00 Mattias Gaertner Status assigned => resolved
2014-10-06 01:00 Mattias Gaertner Resolution open => fixed
2014-10-07 00:39 Maxim Ganetsky Note Added: 0078031
2014-10-07 00:39 Maxim Ganetsky Status resolved => closed
2014-10-07 00:39 Maxim Ganetsky Fixed in Version => 1.4